﻿body {
    background-color: #82878c2e;
    font-family: "Poppins", sans-serif;
    padding: 0;
    -webkit-appearance: menulist;
    font-weight: 400;
    font-size: 1rem;
    margin: 0;
    line-height: 1.5;
    pointer-events: all;
}
.card {
    width: 100%;
    display: flex;
    padding-left: 0;
    padding-right: 0;
}
    .card.width-11P {
        width: 115%;
    }
    .card.width-12P {
        width: 120%;
    }
    .card.color-GreenPomme {
        background-color: #76C512;
    }

#cardHeading {
    text-align: center;
    font-weight: bold;
    background-color: #0059CE;
    color: white;
}
.Greencard {
    text-align: center;
    font-weight: bold;
    background-color: #76C512;
    color: white;
}
.Yellowcard {
    text-align: center;
    font-weight: bold;
    background-color: #FFCA00;
    color: white;
}
.Greycard {
    text-align: center;
    font-weight: bold;
    background-color: dimgrey;
    color: white;
}
.block {    
    margin-top: 10px;
    padding: 0.5rem;
    /*border: solid;
    border-width: 2px;
    border-color: lightgray;*/
    max-width: 70%;
    position: relative;
    align-self: center;
    align-content: center;
}
    .block.size-8P {
        max-width: 80%;
    }
    .block.size-9P {
        max-width: 90%;
    }
    .block.title {
        max-width: 40%;
        text-align: center;
        font-size: 24px;
        color: rgba(0, 157, 233, 1) !important;
    }
    .block.bg-white {
        background: #ffffff;
    }
.champs_obl {
    background-color: lightyellow;
}
.mainHeading {
    color: rgba(0, 157, 233, 1);
    text-align: center;
}
.divBlocks {
    background: #ffffff !important;
    border: solid;
    border-width: 1px;
    border-color: lightgray;
    border-radius: 1em;
    margin-top: 5px;
    margin-left: 5px;
    padding-top: 5px;
    padding-left: 10px;
}
span.material-icons.size-5P {
    font-size: 50px;    
}
span.material-icons.size-3P{
    font-size: 30px;
    line-height: 0.7;
}
span.material-icons.icon-task {
    fill: green;
}
.modal-size-4P {
    max-width: 40%;
}
.modal-size-5P {
    max-width: 50%;
}
.modal-size-6P {
    max-width: 60%;
}
.btn-SkyBlue {
    background-color: rgba(0, 157, 233, 1);
    color: white;
}
.btn-BlueAzure {
    background-color: #0059CE;
    color: white;
}
.btn-PommeVert {
    background-color: #76C512;
    color: white;
}
.btn-Jaune {
    background-color: #FFCA00;
    color: #002439;
}
.btn-Orange {
    background-color: #FF9600;
    color: #002439;
}
.icon-Orange {
    background-color: white;
    color: #FF9600;
}
.btn-nf {
    margin-bottom: 30px;
}
select {
    -webkit-appearance: menulist;
}
.List-size-9P {
    max-width: 95%;
}
.List-size-3P {
    max-width: 30%;
}

.btn-icon {
    border-radius: 3em;
    border-color: #ccc;
    padding: 5px;
    font-size: 20px;
}
    .btn-icon.color-bleuFonce {
        color: #002439;
    }
    .btn-icon.color-bleuAzure {
        color: #0059CE;
    }
.btn-NF {
    margin-top: 20px;
    margin-right: 5px;
    padding-top: 5px;    
}
    .btn-NF.left {
        text-align: left;
        background-color: #0059CE !important;
        color: white;
    }
    .btn-NF.btn-colors {
        background-color: grey;
        color: white;
    }

.font_menu {
    color: white;
    font-size: 14px;
}
.navbar.bg-dark-grey {
    background-color: darkgrey;
}

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -6px;
        margin-left: -1px;
        -webkit-border-radius: 0 6px 6px 6px;
        -moz-border-radius: 0 6px 6px 6px;
        border-radius: 0 6px 6px 6px;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: right;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-left-color: #cccccc;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #ffffff;
    }

    .dropdown-submenu.pull-left {
        float: none;
    }

        .dropdown-submenu.pull-left > .dropdown-menu {
            left: -100%;
            margin-left: 10px;
            -webkit-border-radius: 6px 0 6px 6px;
            -moz-border-radius: 6px 0 6px 6px;
            border-radius: 6px 0 6px 6px;
        }


.lang-menu {
    width: 100px;
    text-align: right;
    font-weight: bold;
    margin-top: 25px;
    position: relative;
}

    .lang-menu .selected-lang {
        display: flex;
        justify-content: space-between;
        line-height: 2;
        cursor: pointer;
    }

        .lang-menu .selected-lang:before {
            content: '';
            display: inline-block;
            width: 32px;
            height: 32px;
            background-image: url(https://www.countryflags.io/fr/flat/32.png);
            background-size: contain;
            background-repeat: no-repeat;
        }

    .lang-menu ul {
        margin: 0;
        padding: 0;
        display: none;
        background-color: #fff;
        border: 1px solid #f8f8f8;
        position: absolute;
        top: 45px;
        right: 0px;
        width: 125px;
        border-radius: 5px;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.2);
    }


        .lang-menu ul li {
            list-style: none;
            text-align: left;
            display: flex;
            justify-content: space-between;
        }

            .lang-menu ul li a {
                text-decoration: none;
                width: 125px;
                padding: 5px 10px;
                display: block;
            }

            .lang-menu ul li:hover {
                background-color: #f2f2f2;
            }

            .lang-menu ul li a:before {
                content: '';
                display: inline-block;
                width: 25px;
                height: 25px;
                vertical-align: middle;
                margin-right: 10px;
                background-size: contain;
                background-repeat: no-repeat;
            }

.en:before {
    background-image: url(https://www.countryflags.io/us/flat/32.png);
}

.fr:before {
    background-image: url(https://www.countryflags.io/fr/flat/32.png);
}


.lang-menu:hover ul {
    display: block;
}
.grid-header-title a {
    color: #0059CE;
}
.table td th{
    text-align: center;
    vertical-align: middle;
}
.table td{
    color: #002439;
}
#grid a {
    text-align: center;
    vertical-align: middle;
}
.color-GreenPomme {
    color: #76C512;
}
.color-Jaune {
    color: #FFCA00;
}
.color-Orange {
    color: #FF9600;
}
.color-BlueAzure {
    color: #0059CE;
}
.color-Rouge {
    color: orangered;
}
.input-mysize {
    max-width: 750px;
}
hr {
    margin-top: 1rem;
    margin-bottom: 1rem;
    border: 0;
    border-top: 1px solid rgba(0, 0, 0, 0.1);
}
.btn-up {
    float: right;
    padding-right: 5px;
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 5px;
    border: thick;
    border-color: black;
}
.msg-alert {
    border: solid;
    border-width: 2px;
    border-color: #FFCA00;
    color: #002439;
    background-color: none;
}
.align-right {
    text-align: right;
}
.text-Update {
    background-color: lightgrey;
    color: #002439
}
.text-Update td{
    display: block;
}

.container-wrap {
    position: relative !important;
}

/*Font-sizes*/
.font-size-25 {
    font-size: 25px !important;
}

/* Pagination*/
.pagination {
    line-height: 26px;
    background-color: white;
    color: #FFF;
    padding-top: 2px;
    margin-top: 2px;
}

    .pagination span {
        padding: 5px;
        border: solid 1px #477B0E;
        text-decoration: none;
        white-space: nowrap;
        background: grey;
        color: black;
    }

    .pagination a,
    .pagination a:visited {
        text-decoration: none;
        padding: 6px;
        white-space: nowrap;
        color: black;
    }

        .pagination a:hover,
        .pagination a:active {
            padding: 5px;
            border: solid 1px #9ECDE7;
            text-decoration: none;
            white-space: nowrap;
            background: #486694;
            color: #FFF;
        }


/*Compte Détails*/
.compte tbody{
    font-size: 20px;
}
.compte th{
    text-align: right;
}

@media (min-width: 1400px) {
    .container {
        max-width: 1140px;
    }
}

tr.toDelete {
    background-color: #f9bcbc;
}